// Partition Scheme: Minimal SPIFFS
#include "config.h"

void setup_dvizh();

void setup_BLE();
void handleWifi();
extern bool wifiEnabled;

SET_LOOP_TASK_STACK_SIZE(16 * 1024);

void setup() {
  setup_dvizh();
  if (DEBUG)
    Serial.begin(115200);
#if UPDATES_ENABLED
  setup_BLE();
#endif
}

void loop() {
#if UPDATES_ENABLED
  handleWifi();
#endif

  if (!wifiEnabled) {
    delay(60000);
  } else {
    delay(1000);
  }
}